waveband

Computes Credible Intervals for Bayesian Wavelet Shrinkage

Computes Bayesian wavelet shrinkage credible intervals for nonparametric regression. The method uses cumulants to derive Bayesian credible intervals for wavelet regression estimates. The first four cumulants of the posterior distribution of the estimates are expressed in terms of the observed data and integer powers of the mother wavelet functions. These powers are closely approximated by linear combinations of wavelet scaling functions at an appropriate finer scale. Hence, a suitable modification of the discrete wavelet transform allows the posterior cumulants to be found efficiently for any data set. Johnson transformations then yield the credible intervals themselves. Barber, S., Nason, G.P. and Silverman, B.W. (2002) <doi:10.1111/1467-9868.00332>.

Total

11,798

Last month

214

Last week

97

Average per day

7

Daily downloads

Total downloads

Description file content

Package
waveband
Title
Computes Credible Intervals for Bayesian Wavelet Shrinkage
Version
4.7
Date
2018-04-06
Depends
R (>= 2.0), wavethresh (>= 4.6)
Description
Computes Bayesian wavelet shrinkage credible intervals for nonparametric regression. The method uses cumulants to derive Bayesian credible intervals for wavelet regression estimates. The first four cumulants of the posterior distribution of the estimates are expressed in terms of the observed data and integer powers of the mother wavelet functions. These powers are closely approximated by linear combinations of wavelet scaling functions at an appropriate finer scale. Hence, a suitable modification of the discrete wavelet transform allows the posterior cumulants to be found efficiently for any data set. Johnson transformations then yield the credible intervals themselves. Barber, S., Nason, G.P. and Silverman, B.W. (2002) .
License
GPL (>= 2)
NeedsCompilation
yes
Packaged
2018-04-10 09:58:11 UTC; magpn
Author
Stuart Barber [aut], Guy Nason [cre, ctb]
Maintainer
Guy Nason
Repository
CRAN
Date/Publication
2018-04-13 12:48:21 UTC

install.packages('waveband')

4.7

5 months ago

Guy Nason

GPL (>= 2)

Depends on

R (>= 2.0), wavethresh (>= 4.6)

Discussions